Subject: RE: [lojban] Chomskyan universals and Lojban

From: "And Rosta" <[email-masked]>
Date: Sat, 18 Aug 2001 07:22:05 +0100

John:
> And Rosta wrote:
> 
> > Natlang syntax conforms to the principle that every phrase is a
> > projection of a word it dominates (= contains) -- this word is the
> > head. (= 'Endocentricity'.) A phrase that is a projection of a
> > noun -- i.e. a phrase headed by a noun -- is a Noun Phrase.
> >
> > There is no such requirement in the formalism used for the formal
> > Lojban grammar, which is formally much less restrictive than
> > endocentric grammars.
> 
> I don't see how. 

... how they are less restrictive, I presume.

> There can only be one non-terminal on the left
> side of a yacc/BNF rewrite rule (Chomsky Type 2 grammar), so the head of
> a non-terminal, whatever it may be, must necessarily be physically
> within the non-terminal.

But there is no requirement in the yacc/BNF system that phrases have
heads. You can have rules of the form X -> Y Z, whereas endocentricity
would restrict you to XP -> XP YP and XP -> X (YP).

> > If you tell me the meaning of _florgendorf_ and its valency (i.e. its
> > transitivity type) then I can predict with an extremely high degree of
> > accuracy which semantic argument is expressed by which syntactic
> > argument.
> 
> If you have to know the meaning, you have scored an own goal:
> what is (semantic, urgh) meaning but a generalization of place
> structure?

??? You know the participants and you how many syntactic arguments, but
you don't know which participant corresponds to which syntactic argument:
in such a case it is possible, in natlangs, to predict the correspondence
with much accuracy.

I think I probably don't understand your point.

> > I can't reconstruct the reasoning, but I have been told, and had it
> > demonstrated to me, that representational recursion can always be
> > implemented by nonrecursive procedures.
> 
> Provided you have a stack to remember the current state on, yes.
> In practice people's stacks are not very deep, which is why we don't do
> center-embedding well. 

It's probably not worth bothering trying to explain it to me, but I 
thought it was recursive procedures that needed the stack (so as to 
remember each loop you're in the middle of).

--And.